import request from '@/utils/request';

export function getMessageList(params:any) {
  return request({
    url: '/system/message/getMessageList',
    method: 'get',
    params
  });
}
export function setMessageStatus(data:any) {
  return request({
    url: '/system/message/setMessageStatus?id=' + data,
    method: 'post'
  });
}
export function setAllMessageStatus() {
  return request({
    url: '/system/message/setAllMessageStatus',
    method: 'post'
  });
}
export function deleteMessageById(data:any) {
  return request({
    url: '/system/message/deleteMessageById?id=' + data,
    method: 'post',
    data
  });
}